import {
  api,
  downloadFile,
  createApiUrl
} from '~/utils/axios';









/**
 * 获取专业优质服务列表
 * @param {Object} data
 * @return {Promise} api
 */
export function getProfessionalServiceList(data) {
  return api.post('Home.ProfessionalService.ProfessionalService/getProfessionalServiceList', data);
}

/**
 * 删除专业优质服务
 * @param {Object} data
 * @return {Promise} api
 */
export function deleteProfessionalService(data) {
  return api.post('Home.ProfessionalService.ProfessionalService/deleteProfessionalService', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '删除失败'
  });
}

/**
 * 添加专业优质服务
 * @param {Object} data
 * @return {Promise} api
 */
export function addProfessionalService(data) {
  return api.post('Home.ProfessionalService.ProfessionalService/addProfessionalService', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '添加失败'
  });
}
/**
 * 编辑专业优质服务
 * @param {Object} data
 * @return {Promise} api
 */
export function editProfessionalService(data) {
  return api.post('Home.ProfessionalService.ProfessionalService/editProfessionalService', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '编辑失败'
  });
}